Subject: Re: [lojban] LALR1 question

From: Robin Lee Powell <[email-masked]>
Date: Mon, 27 Aug 2001 10:55:10 -0700

On Mon, Aug 27, 2001 at 11:17:55AM -0600, Jay Kominek wrote:
> The action that you want, in this case, is for the parser to reduce
> (instead of shift), and turn the current stack contents (le (broda))
> into a sumti. Then it will reexamine joi and decide that it will be
> connecting two sumti instead of two selbri. (However, YACC always
> shifts instead of reducing if there is a conflict.)

Please tell me that the YACC grammar has no shift/reduce conflicts.
Please?

Great explanation, btw.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/